Bug 1005796 - Review Request: langdetect - Language Detection Library for Java
Review Request: langdetect - Language Detection Library for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1005800
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 08:14 EDT by gil cattaneo
Modified: 2013-12-13 21:54 EST (History)
3 users (show)

See Also:
Fixed In Version: langdetect-1.1-0.2.20120112.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-09-09 08:14:40 EDT
Spec URL: http://gil.fedorapeople.org/langdetect.spec
SRPM URL: http://gil.fedorapeople.org/-1.1-0.1.20120112.fc19.src.rpm
Description:
This is a language detection library implemented in plain Java.
(aliases: language identification, language guessing).
Fedora Account System Username: gil
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-12-03 17:03:36 EST
Issues:
1. Please do not add a license file which is not upstream. It is enough to ask upstream to include it.

2. After the license is added, I'd make langdetect-javadoc co-own /usr/share/doc/langdetect/LICENSE-2.0.txt to avoid the extra directory with one file.

3. suggested %description
langdetect is a language detection library implemented in plain Java.
It uses Bayesian filters generated from language samples retrieved from Wikipedia to guess the language of text, achieving accuracy above 99%.

+ Source URL works, checksum matches.
+ Spec file is very nice.
+ License is OK.
+ No rpmlint output.
+ Package follows Java packaging guidelines

Everything seems OK.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-03 17:04:18 EST
Package is APPROVED.
Comment 4 gil cattaneo 2013-12-03 20:06:55 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Issues:
> 1. Please do not add a license file which is not upstream. It is enough to
> ask upstream to include it.
> 
reported @ http://code.google.com/p/language-detection/issues/detail?id=57
usually we must add license txt file if this one is missing

> 2. After the license is added, I'd make langdetect-javadoc co-own
> /usr/share/doc/langdetect/LICENSE-2.0.txt to avoid the extra directory with
> one file.
> 
?
> 3. suggested %description
> langdetect is a language detection library implemented in plain Java.
> It uses Bayesian filters generated from language samples retrieved from
> Wikipedia to guess the language of text, achieving accuracy above 99%.
> 
Done
> + Source URL works, checksum matches.
> + Spec file is very nice.
> + License is OK.
> + No rpmlint output.
> + Package follows Java packaging guidelines
> 
> Everything seems OK.

Thanks!

New Package SCM Request
=======================
Package Name: langdetect
Short Description: Language Detection Library for Java
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-12-03 20:17:21 EST
(In reply to gil cattaneo from comment #4)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> > Issues:
> > 1. Please do not add a license file which is not upstream. It is enough to
> > ask upstream to include it.
> > 
> reported @ http://code.google.com/p/language-detection/issues/detail?id=57
> usually we must add license txt file if this one is missing
The guidelines say:

It is important to reiterate that in situations where the indicated license does not imply a requirement that the license be distributed along with the source/binaries, Fedora packagers are NOT required to manually include the full license text when it is absent from the source code. but are still encouraged to point out this issue to upstream and encourage them to remedy it. 

... I took this to mean that the license file should *not* be included, but I guess it is allowed, just not required. So you're fine.

> > 2. After the license is added, I'd make langdetect-javadoc co-own
> > /usr/share/doc/langdetect/LICENSE-2.0.txt to avoid the extra directory with
> > one file.
The first part of the sentence was made in light of 1., so let me amend it to:

2. I'd make langdetect-javadoc co-own
/usr/share/doc/langdetect/LICENSE-2.0.txt to avoid the extra directory with
one file.
Comment 6 Gwyn Ciesla 2013-12-04 08:38:16 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-12-04 21:24:25 EST
langdetect-1.1-0.2.20120112.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/langdetect-1.1-0.2.20120112.fc20
Comment 8 Fedora Update System 2013-12-05 16:27:33 EST
langdetect-1.1-0.2.20120112.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-12-13 21:54:47 EST
langdetect-1.1-0.2.20120112.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.